#ifndef FILE_H
#define FILE_H

/* 
   file.h
   include file for xlogmaster file-subroutines
*/


/*{{{  Variables  */
static char* tail_keyword = "TAIL";
static char* run_keyword = "RUN";
static char* cat_keyword = "CAT";

static char* raise_keyword = "RAISE";
static char* lower_keyword = "LOWER";
static char* hide_keyword = "HIDE";
static char* alert_keyword = "ALERT";
static char* notice_keyword = "NOTICE";
static char* uniconify_keyword = "UNICONIFY";
static char* execute_keyword = "EXECUTE";

char* load_path;
char* save_path;
char* log_path;

/*}}}*/

/*{{{  Subroutines  */
int read_configuration(char*);
void find_filters(char***, char***, int**, char*, int*);
gint legalize(gint, gint);
int match(char*, char*, int);
int searchfor(char, char*, int);
char* getstring(char , char* , int );
char* clean_string(char*);
int write_configuration(char*);
/*}}}*/


#endif /* FILE_H */
